%define upstream_name    Wx-Demo
%define upstream_version 0.22

%global __requires_exclude perl\\(Wx::PlHeaderColumn\\)|perl\\(Wx::PlHeaderCtrl\\)|perl\\(Wx::PlTreeListItemComparator\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    The wxPerl demo
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp) >= 0.10.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::chdir) >= 0.60.0
BuildRequires: perl(IO::Scalar) >= 2.0.0
BuildRequires: perl(Module::Pluggable) >= 3.100.0
BuildRequires: perl(UNIVERSAL::require) >= 0.100.0
BuildRequires: perl(Wx) >= 0.640.0
BuildArch:  noarch
Provides: perl(Wx::DemoHints::Base)
Provides: perl(Wx::DemoHints::CoreHintBase)


%description
wxPerl demo, with lots of snippets using various wxwidgets features.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
/usr/bin/wxperl_demo.pl
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.220.0-11.mga9
+ Revision: 1839604
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.220.0-10.mga8
+ Revision: 1498352
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.220.0-9.mga7
+ Revision: 1272736
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.220.0-8.mga6
+ Revision: 1035877
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.220.0-7.mga6
+ Revision: 951164
- Mageia 6 Mass Rebuild

* Wed Dec 10 2014 sander85 <sander85> 0.220.0-6.mga5
+ Revision: 802638
- Fix excludes (round 2)

* Wed Dec 10 2014 sander85 <sander85> 0.220.0-5.mga5
+ Revision: 802591
- Fix exclude

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-4.mga5
+ Revision: 747637
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.220.0-3.mga5
+ Revision: 732827
- add exclude
- add missing provides

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-2.mga5
+ Revision: 686886
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.220.0-1.mga5
+ Revision: 615060
- update to 0.22

* Sat Oct 19 2013 umeabot <umeabot> 0.210.0-2.mga4
+ Revision: 527419
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.210.0-1.mga4
+ Revision: 440093
- update to 0.21

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 374877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 302784
- update to 0.19

* Mon Sep 17 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 295071
- update to 0.18

* Tue Jun 05 2012 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 255592
- update to 0.17

* Mon Mar 05 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 218917
- update to 0.14

* Wed Jun 15 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 107548
- update to 0.13

* Sat Feb 26 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 60405
- update to 0.12

* Mon Jan 24 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 36656
- mageia rebuild
- imported package perl-Wx-Demo

